#coding=UTF-8
from haystack import indexes
from blog.models import *

#注意格式(模型类名+Index)
class PostIndex(indexes.SearchIndex,indexes.Indexable):
    text = indexes.CharField(document=True, use_template=True)

    #给数据表格的那个字段（title,content）设置索引
    title = indexes.NgramField(model_attr='title')
    content = indexes.NgramField(model_attr='content')

    #引用了哪个模型类(就返回哪个模型类的名)
    def get_model(self):
        return Post
    #收集查询结果（中可以限定查询条件）
    def index_queryset(self, using=None):
        return self.get_model().objects.order_by('-publish_time')